Subject: bug#75893: Polyglossia

From: Andreas Enge <[email-masked]>
Date: Fri, 21 Mar 2025 10:53:41 +0100

Hello,

I have just rebased the tex-team branch on master. Currently I get an
error trying to build texlive-polyglossia, needed for
texlive-collection-xetex, I think.

It happens during the build of the documentation inside the build phase:
kpathsea: Running mktextfm FreeSans/OT
/gnu/store/bmzskdxs20q6hyqc0jn4s0ipdi9kwaay-texlive-local-tree-2024.2/share/texmf-dist/web2c/mktexnam: Could not map source abbreviatio
n  for OT.
/gnu/store/bmzskdxs20q6hyqc0jn4s0ipdi9kwaay-texlive-local-tree-2024.2/share/texmf-dist/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; ; nonstopmode; input OT
This is METAFONT, Version 2.71828182 (TeX Live 2024/GNU Guix) (preloaded base=mf)

kpathsea: Running mktexmf OT

! I can't find file `OT'.
<*> \mode:=ljfour; mag:=1; ; nonstopmode; input OT

Please type another input file name
! Emergency stop.
<*> \mode:=ljfour; mag:=1; ; nonstopmode; input OT

Transcript written on /tmp/guix-build-texlive-polyglossia-2024.2.drv-0/source/build/mfput.log.
grep: OT.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; ; nonstopmode; input OT' failed to make OT.tfm.

This is somewhat mysterious; FreeSans is a font from font-gnu-freefont,
which is a native input to texlive-polyglossia. Strange it should try
mktextfm.

Well, the error seems to come earlier:
l.526 \newfontfamily\chinesefont{FreeSans}[Script=CJK]
! Package fontspec Error: The font "FreeSans" cannot be found.

Which is a bit strange; gnome-font-viewer shows that the font in
FreeSans.otf is called "FreeSans, Regular", but the ", Regular" is not
part of the font name.

And the line works when I compile a project of my own with monolithic
texlive, or with modular texlive from the master branch.

Andreas